Compare commits

...
Sign in to create a new pull request.

6 commits

Author SHA1 Message Date
Parag Nemade
ff7d6d094a
Upstream moved to meson build system 2026-01-02 10:48:09 +05:30
Parag Nemade
b46fcb0799
Update to 4.20.1 version (#2426701) 2026-01-02 09:42:21 +05:30
Parag Nemade
cc6c6bac65
Update to 4.19.0 version (#2413657) 2025-11-14 11:30:24 +05:30
Fedora Release Engineering
f1d673c923 Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild 2025-07-24 17:48:34 +00:00
Parag Nemade
14eddbd84c
Add tmt testcase for CI 2025-07-15 16:31:55 +05:30
Parag Nemade
02f73b4ca8
Update to 4.18.0 version (#2359183) 2025-04-12 07:24:05 +05:30
9 changed files with 82 additions and 25 deletions

1
.fmf/version Normal file
View file

@ -0,0 +1 @@
1

3
.gitignore vendored
View file

@ -77,3 +77,6 @@ iso-codes-3.19.tar.bz2
/iso-codes-v4.15.0.tar.gz
/iso-codes-v4.16.0.tar.gz
/iso-codes-v4.17.0.tar.gz
/iso-codes-v4.18.0.tar.gz
/iso-codes-v4.19.0.tar.gz
/iso-codes-v4.20.1.tar.gz

View file

@ -1,6 +1,6 @@
Name: iso-codes
Summary: ISO code lists and translations
Version: 4.17.0
Version: 4.20.1
Release: 2%{?dist}
License: LGPL-2.1-or-later
URL: https://salsa.debian.org/iso-codes-team/iso-codes
@ -8,7 +8,7 @@ Source0: https://salsa.debian.org/iso-codes-team/%{name}/-/archive/v%{version
BuildRequires: gettext
BuildRequires: python3
BuildRequires: make
BuildRequires: meson
BuildArch: noarch
# for /usr/share/xml
@ -35,17 +35,20 @@ when building programs that use %{name}.
sed -i 's/ & / and /g' data/iso_3166-2.json
%build
%configure
%make_build
%meson
%meson_build
%install
%make_install INSTALL="%{__install} -p"
%meson_install
%check
%meson_test
%find_lang %{name} --all-name
%files -f %{name}.lang
%doc CHANGELOG.md README.md
%license COPYING
%license LICENSES/LGPL-2.1-or-later.txt
%dir %{_datadir}/xml/iso-codes
%{_datadir}/xml/iso-codes/*.xml
%{_datadir}/iso-codes
@ -54,6 +57,21 @@ sed -i 's/ & / and /g' data/iso_3166-2.json
%{_datadir}/pkgconfig/iso-codes.pc
%changelog
* Fri Jan 02 2026 Parag Nemade <pnemade AT redhat DOT com> - 4.20.1-2
- Upstream moved to meson build system
* Fri Jan 02 2026 Parag Nemade <pnemade AT redhat DOT com> - 4.20.1-1
- Update to 4.20.1 version (#2426701)
* Fri Nov 14 2025 Parag Nemade <pnemade AT redhat DOT com> - 4.19.0-1
- Update to 4.19.0 version (#2413657)
* Thu Jul 24 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild
* Sat Apr 12 2025 Parag Nemade <pnemade AT redhat DOT com> - 4.18.0-1
- Update to 4.18.0 version (#2359183)
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

5
plans/iso-codes.fmf Normal file
View file

@ -0,0 +1,5 @@
summary: Basic smoke test
discover:
how: fmf
execute:
how: tmt

View file

@ -1 +1 @@
SHA512 (iso-codes-v4.17.0.tar.gz) = 9731270513aa42bda96f277528cf40a47ccdbf7c864ba8a9015f1007ef79cb16aaed0b1c3dd18fca30c923a45e0906f0cc5366fabb85e144fcfeaf82b1943a41
SHA512 (iso-codes-v4.20.1.tar.gz) = 2b5690b109da3d4f969c62f1a9653f6a12f6529794b97d0c834d708ff9a407bc0193047992b2acea7525f4638a68dbd9a6dceec8b0b0d08f23a2fd2e3124b1d2

7
tests/main.fmf Normal file
View file

@ -0,0 +1,7 @@
test: ./runtests.sh
duration: 10m
framework: beakerlib
require:
- iso-codes
- python3-jsonschema
- rpm-build

2
tests/smoke/runtest.sh → tests/run_test.sh Normal file → Executable file
View file

@ -3,8 +3,6 @@
# If one of the commands below returns non-zero then exit immediately
set -e
cd ../source
echo "Let's check the upstream data files timestamp"
ls data/iso*.json -l
echo "Validating json data files written with correct syntax"

41
tests/runtests.sh Executable file
View file

@ -0,0 +1,41 @@
#!/bin/bash
. /usr/share/beakerlib/beakerlib.sh || exit 1
NAME=iso-codes
rlJournalStart
rlPhaseStartSetup
rlAssertRpm ${NAME}
rlShowPackageVersion ${NAME}
rlRun -t -l "VERSION=$(rpm -q ${NAME} --queryformat='%{version}')" 0 "Get VERSION"
rlRun "tmp=\$(mktemp -d)" 0 "Create tmp directory"
rlRun "pushd $tmp"
rlFetchSrcForInstalled "${NAME}"
rlRun "rpm --define '_topdir $tmp' -i *src.rpm"
rlRun -t -l "mkdir BUILD" 0 "Creating BUILD directory"
rlRun -t -l "rpmbuild --noclean --nodeps --define '_topdir $tmp' -bp $tmp/SPECS/*spec"
if [ -d BUILD/${NAME}-${VERSION}-build ]; then
rlRun -t -l "pushd BUILD/${NAME}-${VERSION}-build/${NAME}-v${VERSION}"
else
rlRun -t -l "pushd BUILD/${NAME}-v${VERSION}"
fi
rlPhaseEnd
rlPhaseStartTest
rlRun "set -o pipefail"
rlRun "ls data/iso*.json -l"
rlRun "python3 bin/validate_json_data.py"
rlRun "retval=$?"
rlRun "echo Test return value is $retval"
rlRun "ls data/iso*.json -l"
rlRun "retval2=$?"
rlRun "echo $retval2"
rlRun "popd" 0
rlPhaseEnd
rlPhaseStartCleanup
rlRun "popd"
rlRun "rm -r $tmp" 0 "Remove tmp directory"
rlPhaseEnd
rlJournalEnd

View file

@ -1,16 +0,0 @@
---
- hosts: localhost
tags:
- classic
roles:
- role: standard-test-source
- hosts: localhost
tags:
- classic
roles:
- role: standard-test-basic
tests:
- smoke
required_packages:
- python3-jsonschema